namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Check::selected_get() const
{
   Eina_Bool __return_value =  ::efl_ui_check_selected_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Check::selected_set( ::efl::eolian::in_traits<bool>::type value) const
{
    ::efl_ui_check_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(value));
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Check::selected_get() const
{
   Eina_Bool __return_value =  ::efl_ui_check_selected_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Check::selected_set( ::efl::eolian::in_traits<bool>::type value) const
{
    ::efl_ui_check_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(value));
}
inline elm::Check::operator ::elm::Check() const { return *static_cast< ::elm::Check const*>(static_cast<void const*>(this)); }
inline elm::Check::operator ::elm::Check&() { return *static_cast< ::elm::Check*>(static_cast<void*>(this)); }
inline elm::Check::operator ::elm::Check const&() const { return *static_cast< ::elm::Check const*>(static_cast<void const*>(this)); }
} }

